package java112.project3;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;


@WebServlet(name = "Lab33Servlet", urlPatterns = { "/lab33Servlet" } )
/**
 * Lab32Servlet - This servlet displays some values from the HttpServletRequest
 * object.
 * @author Brian Manning
 */
public class Lab33Servlet extends HttpServlet {

    /**
     *  Handles HTTP GET requests.
     *
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {

        Map map = new HashMap();
        map.put("number", 4);
        map.put("html", "<h3>Lab33Servlet</h3>");
        map.put("text", "Some plain text");
        map.put("date", new Date());

        request.setAttribute("labMap", map);
        String url = "/lab33.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
