package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "employeeAddServlet",
    urlPatterns = { "/employeeAddServlet" }
)
/**
 * EmployeeAddServlet forwards to a jsp
 * @author Brian Manning
 */
public class EmployeeAddServlet extends HttpServlet {
    /**
     * Constructor for EmployeeAddServlet
     */
    public EmployeeAddServlet() {

    }
    /**
     * Forwards to the employee add jsp page.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        String url = "/employeeAdd.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
