package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "lab41r1",
    urlPatterns = { "/lab41r1" }
)
/**
 * JSTLLab1ForwardOnlyServlet forwards to a jsp
 * @author Brian Manning
 */
public class JSTLLab1ForwardOnlyServlet extends HttpServlet {

    /**
     * Instantiates the HttpRequestData bean and assigns http request values to it.
     * Adds the bean to the request and forwards it to requestData.jsp for display.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        String url = "/jstl-lab1.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
