package java112.project3;
/**
 * A simple java bean for the storage of http request elements.
 * @author Brian Manning
 */
public class HttpRequestData extends java.lang.Object {

    private String remoteComputerName;
    private String remoteComputerAddress;
    private String requestMethod;
    private String requestURI;
    private String requestURL;
    private String requestProtocol;
    private String serverName;
    private String serverPort;
    private String serverLocale;
    private String queryString;
    private String queryParameter;
    private String userAgent;

   /**
    * Constructor for HttpRequestData
    */
    public HttpRequestData() {

    }

    /**
     * Returns the value of remoteComputerName.
     */
    public String getRemoteComputerName() {
        return remoteComputerName;
    }

    /**
     * Sets the value of remoteComputerName.
     * @param remoteComputerName The value to assign remoteComputerName.
     */
    public void setRemoteComputerName(String remoteComputerName) {
        this.remoteComputerName = remoteComputerName;
    }

    /**
     * Returns the value of remoteComputerAddress.
     */
    public String getRemoteComputerAddress() {
        return remoteComputerAddress;
    }

    /**
     * Sets the value of remoteComputerAddress.
     * @param remoteComputerAddress The value to assign remoteComputerAddress.
     */
    public void setRemoteComputerAddress(String remoteComputerAddress) {
        this.remoteComputerAddress = remoteComputerAddress;
    }

    /**
     * Returns the value of requestMethod.
     */
    public String getRequestMethod() {
        return requestMethod;
    }

    /**
     * Sets the value of requestMethod.
     * @param requestMethod The value to assign requestMethod.
     */
    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    /**
     * Returns the value of requestURI.
     */
    public String getRequestURI() {
        return requestURI;
    }

    /**
     * Sets the value of requestURI.
     * @param requestURI The value to assign requestURI.
     */
    public void setRequestURI(String requestURI) {
        this.requestURI = requestURI;
    }

    /**
     * Returns the value of requestURL.
     */
    public String getRequestURL() {
        return requestURL;
    }

    /**
     * Sets the value of requestURL.
     * @param requestURL The value to assign requestURL.
     */
    public void setRequestURL(String requestURL) {
        this.requestURL = requestURL;
    }

    /**
     * Returns the value of requestProtocol.
     */
    public String getRequestProtocol() {
        return requestProtocol;
    }

    /**
     * Sets the value of requestProtocol.
     * @param requestProtocol The value to assign requestProtocol.
     */
    public void setRequestProtocol(String requestProtocol) {
        this.requestProtocol = requestProtocol;
    }

    /**
     * Returns the value of serverName.
     */
    public String getServerName() {
        return serverName;
    }

    /**
     * Sets the value of serverName.
     * @param serverName The value to assign serverName.
     */
    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    /**
     * Returns the value of serverPort.
     */
    public String getServerPort() {
        return serverPort;
    }

    /**
     * Sets the value of serverPort.
     * @param serverPort The value to assign serverPort.
     */
    public void setServerPort(String serverPort) {
        this.serverPort = serverPort;
    }

    /**
     * Returns the value of serverLocale.
     */
    public String getServerLocale() {
        return serverLocale;
    }

    /**
     * Sets the value of serverLocale.
     * @param serverLocale The value to assign serverLocale.
     */
    public void setServerLocale(String serverLocale) {
        this.serverLocale = serverLocale;
    }

    /**
     * Returns the value of queryString.
     */
    public String getQueryString() {
        return queryString;
    }

    /**
     * Sets the value of queryString.
     * @param queryString The value to assign queryString.
     */
    public void setQueryString(String queryString) {
        this.queryString = queryString;
    }

    /**
     * Returns the value of queryParameter.
     */
    public String getQueryParameter() {
        return queryParameter;
    }

    /**
     * Sets the value of queryParameter.
     * @param queryParameter The value to assign queryParameter.
     */
    public void setQueryParameter(String queryParameter) {
        this.queryParameter = queryParameter;
    }

    /**
     * Returns the value of userAgent.
     */
    public String getUserAgent() {
        return userAgent;
    }

    /**
     * Sets the value of userAgent.
     * @param userAgent The value to assign userAgent.
     */
    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }
}
