package java112.project3;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "myFirstJSPServlet",
    urlPatterns = { "/myFirstJSPServlet" }
)
/**
 * MyFirstJSPServlet forwards to a jsp page for display.
 * @author Brian Manning
 */
public class MyFirstJSPServlet extends HttpServlet {

    /**
     * Forwards to the myfirstjsp page.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        String url = "/myFirstJSP.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
