package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "employeeSearchServlet",
    urlPatterns = { "/employeeSearchServlet" }
)
/**
 * EmployeeSearchServlet forwards to a jsp page for display.
 * @author Brian Manning
 */
public class EmployeeSearchServlet extends HttpServlet {
    /**
     * Constructor for EmployeeSearchServlet
     */
    public EmployeeSearchServlet() {

    }
    /**
     * Forwards to the employee search jsp page.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        String url = "/employeeSearch.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
