package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "lab41r2",
    urlPatterns = { "/lab41r2" }
)
/**
 * JSTLLab1Servlet adds a list of string to the request and forwards to a jsp
 * @author Brian Manning
 */
public class JSTLLab1Servlet extends HttpServlet {
    /**
     * Constructor for JSTLLab1Servlet
     */
    public JSTLLab1Servlet() {

    }
    /**
     * Instantiates the HttpRequestData bean and assigns http request values to it.
     * Adds the bean to the request and forwards it to requestData.jsp for display.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        List<String> list = new ArrayList<String>();
        list.add("List Item One");
        list.add("List Item Two");
        list.add("List Item Three");
        request.setAttribute("labList", list);
        String url = "/jstl-lab2.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
